Zum Inhalt

Get itemCrossSelling

Retrieve the properties and relationships of a {{ap iname}} object for Business Central.

HTTP Request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET {businesscentralPrefix}companies({id})/itemCrossSellingsWebCon({id})

Request headers

Header Value
Authorization Bearer {token}. Required.

Request Body

Do not supply a request body for this method.

Response body

If successful, this method returns a 200 OK response code and a itemCrossSelling object in the response body.

Requests

Here is a example request.

GET https://{businesscentralPrefix}/companies({id})/itemCrossSellingsWebCon({id})

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "@odata.context": "https://start.tso.de/bc/api/tso/webconnector/v2.0/$metadata#companies(f85466d7-0d30-ee11-bdfc-6045bde98c16)/itemCrossSellingsWebCon",
    "value": [
        {
            "@odata.etag": "W/\"JzE5Ozk4OTQ2MTQ5MzQ4NDIxMDE0NjMxOzAwOyc=\"",
            "itemNo": "1896-S",
            "crossSellingItemNo": "1996-S",
            "crossSellingItemId": "1a3d4203-0e30-ee11-bdfc-6045bde98c16",
            "quantity": 28
        },
        {
            "@odata.etag": "W/\"JzE5OzYwNTIxMDAxOTEzMjU2NjE4OTUxOzAwOyc=\"",
            "itemNo": "1896-S",
            "crossSellingItemNo": "1972-S",
            "crossSellingItemId": "173d4203-0e30-ee11-bdfc-6045bde98c16",
            "quantity": 24
        }
    ]
}        

See also

Tips for working with the APIs
itemCrossSelling